import { IAccountDetails } from 'core/account/AccountService';
import { Application } from 'core/application/application.model';
import { IClusterMatch } from 'core/widgets/cluster/clusterMatches.component';
import { ChaosMonkeyConfig } from './chaosMonkeyConfig.component';
import './chaosMonkeyExceptions.component.less';
export declare class ChaosMonkeyExceptionsController {
    application: Application;
    accounts: IAccountDetails[];
    regionsByAccount: any;
    config: ChaosMonkeyConfig;
    configChanged: () => void;
    clusterMatches: IClusterMatch[][];
    addException(): void;
    removeException(index: number): void;
    $onInit(): void;
    configureMatches(): void;
    updateConfig(): void;
}
export declare const CHAOS_MONKEY_EXCEPTIONS_COMPONENT = "spinnaker.core.chaosMonkey.exceptions.directive";
